API ReferenceRewards
Send a reward
Sends a FIXED reward (a specific gift card) or a CHOICE reward (the recipient picks cards up to the value). The recipient receives a branded email with a redemption link. Supply an Idempotency-Key header to make retries safe.
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/rewards" \ -H "Content-Type: application/json" \ -d '{ "type": "FIXED", "valueCents": 1, "recipient": { "email": "user@example.com", "firstName": "string" } }'{ "reward": { "id": "string", "type": "FIXED", "status": "string", "faceValueCents": 0, "remainingValueCents": 0, "currency": "string", "recipientEmail": "string", "recipientFirstName": "string", "recipientLastName": "string", "message": "string", "utid": "string", "allowedBrandKeys": [ "string" ], "campaign": "string", "externalId": "string", "source": "string", "expiresAt": "string", "sentAt": "string", "openedAt": "string", "redeemedAt": "string", "createdAt": "string", "brandName": "string", "brandImageUrl": "string", "issuedCards": [ { "id": "string", "utid": "string", "rewardName": "string", "amountCents": 0, "currency": "string", "status": "string", "redemptionInstructions": "string", "issuedAt": "string", "createdAt": "string", "brandName": "string", "brandImageUrl": "string", "credentials": [ { "label": "string", "value": "string", "type": "string" } ] } ], "events": [ { "id": "string", "type": "string", "metadata": { "property1": null, "property2": null }, "createdAt": "string" } ] }, "redemptionUrl": "string"}